PublicApiGetBilling
curl --request GET \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/billing \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/billing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"billing": {
"status": "<string>",
"currency": "<string>",
"setupCompletedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"subscription": {
"status": "<string>",
"plan": "<string>",
"interval": "<string>",
"priceUsdPerPeriod": 123,
"currentPeriodStart": "<string>",
"currentPeriodEnd": "<string>",
"cancelAtPeriodEnd": true,
"autoRenewalEnabled": true,
"trialEndsAt": "<string>",
"trialStartedAt": "<string>",
"promoCodeApplied": "<string>",
"promoDiscountPercent": 123,
"promoExpiresAt": "<string>",
"pastDueRetryCount": 4503599627370495,
"scheduledDowngradePlan": "<string>",
"cancellationReason": "<string>"
},
"credits": {
"orgCredits": 123,
"topUpCredits": 123,
"total": 123
},
"gracePeriod": {
"graceEndsAt": "<string>",
"gracePeriodDays": 4503599627370495,
"isInGracePeriod": true
},
"trialExhausted": true
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Billing
PublicApiGetBilling
GET /api/v1/organizations//billing
GET
/
api
/
v1
/
organizations
/
{orgId}
/
billing
PublicApiGetBilling
curl --request GET \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/billing \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/billing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"billing": {
"status": "<string>",
"currency": "<string>",
"setupCompletedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
},
"subscription": {
"status": "<string>",
"plan": "<string>",
"interval": "<string>",
"priceUsdPerPeriod": 123,
"currentPeriodStart": "<string>",
"currentPeriodEnd": "<string>",
"cancelAtPeriodEnd": true,
"autoRenewalEnabled": true,
"trialEndsAt": "<string>",
"trialStartedAt": "<string>",
"promoCodeApplied": "<string>",
"promoDiscountPercent": 123,
"promoExpiresAt": "<string>",
"pastDueRetryCount": 4503599627370495,
"scheduledDowngradePlan": "<string>",
"cancellationReason": "<string>"
},
"credits": {
"orgCredits": 123,
"topUpCredits": 123,
"total": 123
},
"gracePeriod": {
"graceEndsAt": "<string>",
"gracePeriodDays": 4503599627370495,
"isInGracePeriod": true
},
"trialExhausted": true
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Use this endpoint through the Developer API or the matching
firstsales CLI command when available. Responses use the stable FirstSales public error envelope.Authorizations
FirstSales developer API key bearer token (fs-key-*).
Path Parameters
⌘I